.header {
  display: flex;
  align-items: center;
  padding: 15px 20px;
  padding-top: 5px;
  position: relative;
}

.header__logo {
  display: block;
  margin-right: 22px;
  width: 77px;
}

.header__phone {
  font-weight: 400;
  font-size: 16px;
  color: $brown;
  position: relative;
  z-index: 10;

  span {
    font-weight: 400;
  }
}

.header__email {
  font-weight: 500;
  font-size: 10px;
  line-height: 12px;
  color: $green;
}

.header__contacts {
  display: flex;
  flex-direction: column;
  margin-left: auto;
  text-align: right;
}

.header__phones {
  @include list-reset;

  position: absolute;
  min-height: 18px;
  max-height: 18px;
  overflow: hidden;
  right: 18px;
  content: "";
  display: flex;
  flex-direction: column;
  top: 26px;
  transition: all 0.3s;

  &--active {
    max-height: 120px;
  }

  li:not(.header__phones-arrow) {
    padding-left: 13px;
    width: 100%;
  }

  li:not(:last-child) {
    margin-bottom: 10px;
  }
}

.header__phones-arrow {
  @include pseudo;

  position: absolute;
  left: 0;
  width: 13px;
  max-width: 13px;
  padding-left: 0;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: flex-start;

  &--active {
    svg {
      transform: rotate(-180deg);
    }
  }

  svg {
    width: 11px;
    height: 6px;
    fill: $green;
    transition: all 0.3s;
  }
}

@media (min-width: 1280px) {
  .header {
    @include page-wrapper;

    padding-top: 0;
    margin-top: -5px;
    padding-bottom: 14px;

    &--sticky {
      position: fixed;
      width: 100%;
      left: 0;
      top: 0;
      background: #FFFFFF;
      box-shadow: 0px 10px 25px rgba(0, 0, 0, 0.04);
      z-index: 50;
      padding-bottom: 0;

      .header__logo {
        margin-top: -10px;
        margin-bottom: -20px;
      }

      .menu__language {
        top: 20px;
      }

      .header__phones {
        top: 20px;
      }
    }
  }

  .header__logo {
    margin-right: 60px;
    width: 163px;
  }

  .header__phones-arrow {
    width: 44px;
    height: 44px;
    max-width: 44px;
    background-color: $green;
    margin-bottom: 0;
    border-radius: 10px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;

    svg {
      width: 20px;
      fill: #fff;
      height: 18px;
      margin-bottom: 4px;
    }
  }

  .header__phones {
    padding-left: 42px;
    max-height: 44px;
    right: calc(50% - 620px);
    box-sizing: content-box;
    top: 35px;

    li:not(.header__phones-arrow) {
      margin-top: 10px;
      margin-bottom: 0;
    }

    &--active {
      max-height: 200px;

      .header__phones-arrow {
        svg {
          margin-bottom: -4px;
        }
      }
    }
  }

  .header__phone {
    font-size: 22px;
    line-height: 26px;
    transition: all 0.3s;

    &:hover {
      color: $green;
    }
  }
}

@media (max-width: 330px) {
  .header__phone {
    font-size: 12px;
  }
}
